/*********************************************************************
* Copyright (C) 2010 by Dario Ignacio Aguilera                       *
* dario_21_06@hotmail.com                                            *
*                                                                    *
* This program is free software; you can redistribute it and/or      *
* modify it under the terms of the GNU General Public License        *
* as published by the Free Software Foundation; either version 2     *
* of the License, or (at your option) any later version.             *
*                                                                    *
* This program is distributed in the hope that it will be useful,    *
* but WITHOUT ANY WARRANTY; without even the implied warranty of     *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the      *
* GNU General Public License for more details.                       *
*                                                                    *
* You should have received a copy of the GNU General Public License  *
* along with this program; if not, write to the                      *
* Free Software Foundation, Inc.                                     *
* 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.      *
**********************************************************************/

#include <QtGui>
#include "mainwindow.h"

int main(int argc, char *argv[])
{
  QApplication app(argc, argv);
     
  //all the translation stuff was taken from minitube
  const QString locale = QLocale::system().name();

  // qt translations
  QTranslator qtTranslator;
  qtTranslator.load("qt_" + locale,
                    QLibraryInfo::location(QLibraryInfo::TranslationsPath));
  app.installTranslator(&qtTranslator);

  // app translations
#ifdef PKGDATADIR
  QString dataDir = QLatin1String(PKGDATADIR);
#else
  QString dataDir = "";
#endif
 
  
#if defined(Q_OS_OS2) //|| defined(Q_OS_WIN) ->this isn't checked
  QString    localeDir = qApp->applicationDirPath() + QDir::separator() + "locale";
#else
  QString    localeDir = dataDir + QDir::separator() + "locale";
#endif
  
  QTranslator translator;
  translator.load(locale, localeDir);
  app.installTranslator(&translator);

#ifndef Q_OS_LINUX
  QString BUILTIN_ICON_THEME = "oxygen";
  QIcon::setThemeName(BUILTIN_ICON_THEME);
#endif

  MainWindow imageViewer;
  imageViewer.show();
  if(QApplication::arguments().size()>1){
    imageViewer.loadAppCommands(QApplication::arguments());
  }  
  return app.exec();
 } 
